{
  "name": "tropscode",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build-dev": "vite build --mode development",
    "build-pro": "vite build --mode production",
    "preview": "vite preview",
    "lint": "eslint src/**/*.{ts,js,vue} --fix",
    "prettier": "prettier --write ."
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@types/crypto-js": "^4.2.2",
    "@vueuse/core": "9.5.0",
    "animate.css": "^4.1.1",
    "axios": "^1.7.0",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.11",
    "echarts": "^5.5.0",
    "element-plus": "^2.7.3",
    "phaser": "^3.88.2",
    "pinia": "^2.1.7",
    "pubsub-js": "^1.9.5",
    "qrcode": "^1.5.4",
    "socket.io-client": "^2.5.0",
    "speak-tts": "^2.0.8",
    "swiper": "^11.1.4",
    "vconsole": "^3.15.1",
    "vue": "^3.4.21",
    "vue-lazyload": "^3.0.0",
    "vue-router": "^4.0.13"
  },
  "devDependencies": {
    "@iconify/json": "^2.2.40",
    "@types/node": "^20.14.2",
    "@types/nprogress": "^0.2.3",
    "@types/path-browserify": "^1.0.2",
    "@typescript-eslint/eslint-plugin": "5.56.0",
    "@typescript-eslint/parser": "5.56.0",
    "@vitejs/plugin-vue": "^5.0.4",
    "autoprefixer": "10.4.14",
    "eslint": "8.36.0",
    "eslint-config-prettier": "8.8.0",
    "eslint-plugin-prettier": "4.2.1",
    "eslint-plugin-vue": "9.9.0",
    "sass": "^1.77.4",
    "typescript": "^5.2.2",
    "unplugin-auto-import": "^0.17.6",
    "unplugin-icons": "^0.19.0",
    "unplugin-vue-components": "^0.27.0",
    "unplugin-vue-setup-extend-plus": "^1.0.1",
    "vite": "^5.2.0",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-eslint-parser": "^9.4.3",
    "vue-tsc": "^2.0.6"
  }
}
